signal {secr} | R Documentation

## Signal Fields

### Description

Extract or replace signal attributes of a ‘capthist’ object.

### Usage

    signalframe(object)
    signalframe(object) <- value

    ## S3 method for class 'capthist'
    signal(object, ...)
    ## S3 method for class 'capthist'
    noise(object, ...)

    signal(object) <- value
    noise(object) <- value

### Arguments

`object` | a ‘capthist’ object
`value` | replacement value (see Details)
`...` | other arguments (not used)

### Details

Signal attributes of a ‘capthist’ object are stored in a dataframe called the signalframe. This has one row per detection. The signalframe includes the primary field ‘signal’ and an unlimited number of other fields. To extract the signal field alone use the signal method.

These functions extract data on detections, ignoring occasions when an animal was not detected. Detections are ordered by occasion, animalID and trap.

Replacement values must precisely match `object` in number of detections and in their order.

### Value

For `signalframe` , a dataframe containing signal data and covariates, one row per detection. The data frame has one row per detection. See `signalmatrix` for a matrix with one row per cue and columns for different microphones.

For `signal` and `noise`, a numeric vector with one element per detection.

If `object` has multiple sessions, the result is a list with one component per session.

### See Also

`capthist`, `signalmatrix`

### Examples

    ## ovensong dataset has very simple signalframe
    head(signalframe(signalCH))

[Package secr version 3.2.1 Index]